libepubgen::EPUBXMLSink Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Types | Private Attributes | List of all members
libepubgen::EPUBXMLSink Class Reference

`#include <EPUBXMLSink.h>`

## Public Member Functions
| EPUBXMLSink ()
void | openElement (const char *name, const librevenge::RVNGPropertyList &attributes=librevenge::RVNGPropertyList())
void | closeElement (const char *name)
void | insertEmptyElement (const char *name, const librevenge::RVNGPropertyList &attributes=librevenge::RVNGPropertyList())
void | insertCharacters (const librevenge::RVNGString &characters)
void | append (const EPUBXMLSink &other)
void | writeTo (EPUBPackage &package, const char *name)

## Private Types
typedef boost::shared_ptr< EPUBXMLElement > | EPUBXMLElementPtr_t

## Private Attributes
std::deque< EPUBXMLElementPtr_t > | m_elements

## Member Typedef Documentation

typedef boost::shared_ptr<EPUBXMLElement> libepubgen::EPUBXMLSink::EPUBXMLElementPtr_t
| private

## Constructor & Destructor Documentation

libepubgen::EPUBXMLSink::EPUBXMLSink | ( |  | ) |

## Member Function Documentation

void libepubgen::EPUBXMLSink::append | ( | const EPUBXMLSink & | other | ) |

void libepubgen::EPUBXMLSink::closeElement | ( | const char * | name | ) |

Referenced by libepubgen::EPUBHTMLGenerator::closeLink(), libepubgen::EPUBHTMLGenerator::closeListElement(), libepubgen::EPUBHTMLGenerator::closeOrderedListLevel(), libepubgen::EPUBHTMLGenerator::closeParagraph(), libepubgen::EPUBHTMLGenerator::closeSpan(), libepubgen::EPUBHTMLGenerator::closeTable(), libepubgen::EPUBHTMLGenerator::closeTableCell(), libepubgen::EPUBHTMLGenerator::closeTableRow(), libepubgen::EPUBHTMLGenerator::closeUnorderedListLevel(), libepubgen::EPUBHTMLGenerator::endDocument(), libepubgen::EPUBHTMLGenerator::insertBinaryObject(), insertEmptyElement(), libepubgen::EPUBHTMLGenerator::insertLineBreak(), libepubgen::EPUBHTMLGenerator::setDocumentMetaData(), libepubgen::EPUBGenerator::writeContainer(), libepubgen::EPUBGenerator::writeNavigation(), libepubgen::EPUBGenerator::writeRoot(), and libepubgen::EPUBHTMLManager::writeTocTo().

void libepubgen::EPUBXMLSink::insertCharacters | ( | const librevenge::RVNGString & | characters | ) |

Referenced by libepubgen::EPUBHTMLGenerator::insertField(), libepubgen::EPUBHTMLGenerator::insertSpace(), libepubgen::EPUBHTMLGenerator::insertTab(), libepubgen::EPUBHTMLGenerator::insertText(), libepubgen::EPUBHTMLGenerator::setDocumentMetaData(), and libepubgen::EPUBHTMLManager::writeTocTo().

void libepubgen::EPUBXMLSink::insertEmptyElement | ( | const char * | name,
|  | const librevenge::RVNGPropertyList & | attributes = `librevenge::RVNGPropertyList()`
| ) |  |

Referenced by libepubgen::EPUBHTMLGenerator::endDocument(), libepubgen::EPUBHTMLGenerator::insertBinaryObject(), libepubgen::EPUBGenerator::writeContainer(), libepubgen::EPUBGenerator::writeNavigation(), libepubgen::EPUBGenerator::writeRoot(), libepubgen::EPUBHTMLManager::writeSpineTo(), libepubgen::EPUBManifest::writeTo(), and libepubgen::EPUBHTMLManager::writeTocTo().

void libepubgen::EPUBXMLSink::openElement | ( | const char * | name,
|  | const librevenge::RVNGPropertyList & | attributes = `librevenge::RVNGPropertyList()`
| ) |  |

Referenced by libepubgen::EPUBHTMLGenerator::endDocument(), libepubgen::EPUBHTMLGenerator::insertBinaryObject(), insertEmptyElement(), libepubgen::EPUBHTMLGenerator::insertLineBreak(), libepubgen::EPUBHTMLGenerator::openLink(), libepubgen::EPUBHTMLGenerator::openListElement(), libepubgen::EPUBHTMLGenerator::openOrderedListLevel(), libepubgen::EPUBHTMLGenerator::openParagraph(), libepubgen::EPUBHTMLGenerator::openSpan(), libepubgen::EPUBHTMLGenerator::openTable(), libepubgen::EPUBHTMLGenerator::openTableCell(), libepubgen::EPUBHTMLGenerator::openTableRow(), libepubgen::EPUBHTMLGenerator::openUnorderedListLevel(), libepubgen::EPUBHTMLGenerator::setDocumentMetaData(), libepubgen::EPUBGenerator::writeContainer(), libepubgen::EPUBGenerator::writeNavigation(), libepubgen::EPUBGenerator::writeRoot(), and libepubgen::EPUBHTMLManager::writeTocTo().

void libepubgen::EPUBXMLSink::writeTo | ( | EPUBPackage & | package,
|  | const char * | name
| ) |  |

Referenced by libepubgen::EPUBGenerator::writeContainer(), libepubgen::EPUBGenerator::writeNavigation(), and libepubgen::EPUBGenerator::writeRoot().

## Member Data Documentation

std::deque<EPUBXMLElementPtr_t> libepubgen::EPUBXMLSink::m_elements
| private

Referenced by append(), closeElement(), insertCharacters(), openElement(), and writeTo().

The documentation for this class was generated from the following files:

- EPUBXMLSink.h
- EPUBXMLSink.cpp